# OpalAudioMixerStream Class Reference

`#include <opalmixer.h>`

List of all members.

## Public Types

typedef std::queue< StreamFrame > | StreamFrameQueue_T

## Public Member Functions

| OpalAudioMixerStream ()
void | WriteFrame (const StreamFrame &frame)
void | FillSilence (StreamFrame &retFrame, PINDEX ms)
void | PopFrame (StreamFrame &retFrame, PINDEX ms)
PBoolean | ReadFrame (StreamFrame &retFrame, PINDEX ms)

## Public Attributes

PMutex | mutex
StreamFrameQueue_T | frameQueue
StreamFrame | frameCache
DWORD | cacheTimeStamp
PBoolean | active
PBoolean | first
unsigned | channelNumber

## Classes

class | StreamFrame

## Member Typedef Documentation

typedef std::queue<StreamFrame> OpalAudioMixerStream::StreamFrameQueue_T

## Constructor & Destructor Documentation

OpalAudioMixerStream::OpalAudioMixerStream | ( |  | ) |

## Member Function Documentation

void OpalAudioMixerStream::WriteFrame | ( | const StreamFrame & | frame | ) |

void OpalAudioMixerStream::FillSilence | ( | StreamFrame & | retFrame,
|  | PINDEX | ms |
| ) |  |  |

void OpalAudioMixerStream::PopFrame | ( | StreamFrame & | retFrame,
|  | PINDEX | ms |
| ) |  |  |

PBoolean OpalAudioMixerStream::ReadFrame | ( | StreamFrame & | retFrame,
|  | PINDEX | ms |
| ) |  |  |

## Member Data Documentation

PMutex OpalAudioMixerStream::mutex

StreamFrameQueue_T OpalAudioMixerStream::frameQueue

StreamFrame OpalAudioMixerStream::frameCache

DWORD OpalAudioMixerStream::cacheTimeStamp

PBoolean OpalAudioMixerStream::active

PBoolean OpalAudioMixerStream::first

unsigned OpalAudioMixerStream::channelNumber

The documentation for this class was generated from the following file:

- opalmixer.h